%define version 0.73

Name: dc_gui2
Summary: dc_gui is a GUI for DCTC.
Version: %{version}
Release: 1
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Eric <eric@ac2i.tzo.com>
Provides: dc_gui2
Requires: dctc
Prefix: /usr
Url: http://ac2i.tzo.com/dctc/

BuildRequires: openssl-devel, glib-devel >= 1.2, automake >= 1.4, zlib-devel >= 1.1, libdb-devel >= 3.0, libgnome2-devel >= 2.0
Requires(post,preun): chkconfig
Requires: perl >= 5.6, openssl >= 0.9.6b, glib >= 1.2, zlib >= 1.1, libgnome2 >= 2.0

%if "%{distro}" == "rh"
	%if "%{os_major_version}" >= "8"
BuildRequires: glibc-devel >= 2.3.2
Requires: glibc >= 2.3.2
	%else
BuildRequires: glibc-devel >= 2.2
Requires: glibc >= 2.2
	%endif
%else
BuildRequires: glibc-devel >= 2.2
Requires: glibc >= 2.2
%endif

%description
dc_gui is a GUI for DCTC.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=%{prefix}
make -j 2

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS ChangeLog TODO
%{_bindir}/*
%{_datadir}/gnome/help/dc_gui
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/pixmaps/dc_gui2
%{_datadir}/pixmaps/dc_gui2.xpm
%{_datadir}/applications/dc_gui2.desktop

